package com.gic.haoban.manage.web.errCode;

/**
 * Created by fudh on 2018/3/4.
 */
public enum HaoBanErrCode {
    //update by 牧峰 2018-7-25 19:58:06
    /**
     * 操作失败
     */
    ERR_0(0, "操作失败"),
    /**
     * 操作成功
     */
    ERR_1(1, "操作成功"),
    /**
     * 缺少参数
     */
    ERR_2(2, "缺少参数"),
    /**
     * 系统异常
     */
    ERR_3(3, "系统异常"),
    /**
     * 登录异常
     */
    ERR_4(4, "登录异常"),
    /**
     * 输入参数错误
     */
    ERR_5(5, "输入参数错误"),
    /**
     * 该企业登录用户不存在
     */
    ERR_6(6, "该企业登录用户不存在"),
    /**
     * 该用户缺少该权限
     */
    ERR_7(7, "该用户缺少该权限"),
    /**
     * 查无数据
     */
    ERR_8(8, "查无数据"),
    /**
     * 非法操作
     */
    ERR_9(9, "非法操作"),

    /**
     * 用户已经登录
     */
    ERR_10(10, "用户已经登录"),

    /**
     * 验证码发送失败
     */
    ERR_11(11, "验证码发送失败"),

    /**
     * 验证码校验失败
     */
    ERR_12(12, "验证码校验失败"),

    ERR_10001(10001,"父部门不存在"),
    ERR_10002(10002,"门店类型部门不能新增子节点"),
    ERR_10003(10003,"部门不存在"),
    
    ERR_10004(10004,"成员名称不能为空"),
    ERR_10005(10005,"成员已存在"),
    ERR_10006(10006,"字典key已存在"),
    ERR_10007(10007,"字典名称已存在"),
    ERR_10008(10008,"title已存在"),
    
    ERR_10020(10020,"模板名称已存在"),
    
    ERR_20001(20001,"企业微信商户不存在"),

    
    ERR_20002(20002,"门店不存在"),

    ERR_30001(30001,"已存在同步任务, 无法关闭"),

    ERR_40001(40001,"企业已操作会员关联, 请7天后重试"),

    ERR_DEFINE(-888, "自定义错误"),
    ERR_OTHER(-999, "未知错误code");
    private int code;
    private String msg;

    private HaoBanErrCode(int code, String value) {
        this.code = code;
        this.msg = value;
    }

    public static HaoBanErrCode getValue(int code) {
        for (HaoBanErrCode sec : HaoBanErrCode.values()) {
            if (code == sec.getCode()) {
                return sec;
            }
        }
        ERR_OTHER.setMsg("未知错误code：" + code);
        return ERR_OTHER;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
